﻿namespace IRaCIS.Application.Contracts
{
    public class VacationCommand
    {
        public Guid? Id { get; set; }
        public Guid DoctorId { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public int Status { get; set; } = 1;
    }

    public class GetIsVacationInDto
    {
        public Guid DoctorId { get; set; }
    }


    public class GetIsVacationOutDto
    {
        public bool IsVacation { get; set; }
    }
}
