using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("ҽ - Ŀٴ")]
[Table("TrialExperience")]
public partial class TrialExperience : BaseFullAuditEntity
{




    #region 

    [JsonIgnore]
    [ForeignKey("TrialId")]
    public Trial? Trial { get; set; }

    [JsonIgnore]
    public List<TrialExperienceCriteria> ExperienceCriteriaList { get; set; }
    #endregion
    public Guid DoctorId { get; set; }

    public Guid? PhaseId { get; set; }

    public Dictionary Phase { get; set; }

    public string EvaluationContent { get; set; } = string.Empty;
    public int VisitReadingCount { get; set; }

    public DateTime? StartTime { get; set; }

    public DateTime? EndTime { get; set; }

    /// <summary>
    /// 
    /// </summary>
    public string OtherStages { get; set; } = string.Empty;

    /// <summary>
    /// ׼
    /// </summary>
    public string OtherCriterion { get; set; } = string.Empty;

    /// <summary>
    /// Ӧ֢ö
    /// </summary>
    public int IndicationEnum { get; set; } = -1;

    /// <summary>
    /// 
    /// </summary>
    public ExperienceDataType ExperienceDataType { get; set; }

    /// <summary>
    /// Ӧ֢ID
    /// </summary>
    public Guid IndicationTypeId { get; set; } = Guid.Empty;

    /// <summary>
    /// ĿId
    /// </summary>
    public Guid? TrialId { get; set; }

    /// <summary>
    /// Ƭ׼
    /// </summary>
    public CriterionType? CriterionType { get; set; }
}


public enum ExperienceDataType
{
    /// <summary>
    /// ϵͳֶ
    /// </summary>
    System = 0,

    /// <summary>
    /// Ŀֶӻͬϵͳƹ
    /// </summary>
    Trial=1,

    /// <summary>
    /// ĿԶ
    /// </summary>
    TrialAuto = 2,

    /// <summary>
    /// ϵͳԶ
    /// </summary>
    SystemAuto = 3,
}