﻿namespace IRaCIS.Core.Domain.Models;

[Comment("项目中心 - 推送检查患者")]
[Table("SCPPatient")]
public class SCPPatient : BaseFullAuditEntity
{
    #region 导航属性

    public List<SubjectPatient> SubjectPatientList { get; set; }
    [JsonIgnore]
    public List<SCPStudy> SCPStudyList { get; set; }
    //[JsonIgnore]
    //public Subject Subject { get; set; }
    //[JsonIgnore]
    //public Trial Trial { get; set; }
    //[JsonIgnore]
    //public TrialSite TrialSite { get; set; }
    #endregion
    public string PatientIdStr { get; set; } = string.Empty;
    public string PatientName { get; set; } = string.Empty;
    public string PatientAge { get; set; } = string.Empty;
    public string PatientSex { get; set; } = string.Empty;
    public string PatientBirthDate { get; set; } = string.Empty;

    public DateTime? EarliestStudyTime { get; set; }

    public DateTime? LatestStudyTime { get; set; }

    public DateTime LatestPushTime { get; set; }


    #region HIR 注释
    //public Guid TrialId { get; set; }
    //public Guid TrialSiteId { get; set; }

    //public Guid? SubjectVisitId { get; set; }
    #endregion
}
