﻿namespace IRaCIS.Application.Contracts
{
    public class GetTrialDoctorInfoInDto
    {
        public Guid DoctorId { get; set; }

        public Guid TrialId { get; set; }
    }

    public class ResearchPublicationInDTO
    {
        public Guid DoctorId { get; set; }

        public Guid? TrialId { get; set; }

    }
    public class ResearchPublicationDTO
    {
        public Guid? Id { get; set; }
        public Guid DoctorId { get; set; }
        public string Research { get; set; } = String.Empty;
        public string Grants { get; set; } = String.Empty;
        public string Publications { get; set; } = String.Empty;
        public string AwardsHonors { get; set; } = String.Empty;

        public string ResearchCN { get; set; } = String.Empty;
        public string GrantsCN { get; set; } = String.Empty;
        public string PublicationsCN { get; set; } = String.Empty;
        public string AwardsHonorsCN { get; set; } = String.Empty;


    }


    public class ResearchPublicationInfoDTO
    {
        public Guid? Id { get; set; }
        public Guid DoctorId { get; set; }
        public string? Research { get; set; }
        public string? Grants { get; set; }
        public string? Publications { get; set; } 
        public string? AwardsHonors { get; set; } 

        public string? ResearchCN { get; set; }
        public string? GrantsCN { get; set; }
        public string? PublicationsCN { get; set; } 
        public string? AwardsHonorsCN { get; set; }
    }
}