
//--------------------------------------------------------------------
//     此代码由T4模板自动生成  byzhouhang 20210918
//	   生成时间 2023-07-10 15:14:16 
//     对此文件的更改可能会导致不正确的行为，并且如果重新生成代码，这些更改将会丢失。
using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections.Generic;
using System.Linq;

namespace IRaCIS.Core.Domain.Models
{
    ///<summary>
    ///PIAudit
    ///</summary>
    [Table("PIAudit")]
    public class PIAudit : BaseAddAuditEntity
    {

        [JsonIgnore]
        public VisitTask VisitTask { get; set; }

        public Guid VisitTaskId { get; set; }

        public string ReplyContent { get; set; }=string.Empty;

        public bool? IsEnrollment { get; set; }

        public bool? IsPDConfirm { get; set; }

        public string PIAuditNote { get; set; } = string.Empty;


        public string NotAgreeReason { get; set; } = string.Empty;

        public PIAuditState? PIAuditState { get; set; }


        public string PIAuditImagePath { get; set; } = string.Empty;



        [NotMapped]
        public List<string> PIAuditImagePathList
        {
            get
            {

                try
                {
                    return this.PIAuditImagePath?.Trim().Split('|', StringSplitOptions.RemoveEmptyEntries).ToList();
                }
                catch (Exception)
                {

                    return new List<string>();
                }

            }
        }

    }

    /// <summary>
    /// PI 审核状态
    /// </summary>
    public enum PIAuditState
    {

        /// <summary>
        /// PI未审核
        /// </summary>
        PInotAutit = 0,

        /// <summary>
        /// PI不认同
        /// </summary>
        PINotAgree = 1,

        /// <summary>
        /// PI认同
        /// </summary>
        PIAgree = 2
    }
}
