﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class RemoveSubjectVisitInfo : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "PackState",
                table: "SubjectVisit");

            migrationBuilder.DropColumn(
                name: "VisitImageFileCount",
                table: "SubjectVisit");

            migrationBuilder.DropColumn(
                name: "VisitImageZipPath",
                table: "SubjectVisit");

            migrationBuilder.DropColumn(
                name: "VisitImageZipSize",
                table: "SubjectVisit");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "PackState",
                table: "SubjectVisit",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<int>(
                name: "VisitImageFileCount",
                table: "SubjectVisit",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "VisitImageZipPath",
                table: "SubjectVisit",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<long>(
                name: "VisitImageZipSize",
                table: "SubjectVisit",
                type: "bigint",
                nullable: false,
                defaultValue: 0L);
        }
    }
}
